package com.chinaitop.depot.intelligent.energyMonitor.mapper;

import com.chinaitop.depot.intelligent.energyMonitor.model.TEnergyInfo;
import com.chinaitop.depot.intelligent.energyMonitor.model.TEnergyInfoExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TEnergyInfoMapper {
    int countByExample(TEnergyInfoExample example);

    int deleteByExample(TEnergyInfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(TEnergyInfo record);

    int insertSelective(TEnergyInfo record);

    List<TEnergyInfo> selectByExample(TEnergyInfoExample example);

    TEnergyInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TEnergyInfo record, @Param("example") TEnergyInfoExample example);

    int updateByExample(@Param("record") TEnergyInfo record, @Param("example") TEnergyInfoExample example);

    int updateByPrimaryKeySelective(TEnergyInfo record);

    int updateByPrimaryKey(TEnergyInfo record);
    
    
    List<TEnergyInfo> queryMeter(Map<String, Object> map);
    
    List<TEnergyInfo> queryDeviceList(Map<String, Object> map);
    
    /*List<Map<String, Object>> getTrendThreePage(Map<String, Object> map);
    
    List<Map<String, Object>> getTimePointThreePage(Map<String, Object> map);
    
    List<Map<String, Object>> getTimeThreePage(Map<String, Object> map);

    List<TEnergyInfo> getDailyConsumptionList(Map<String, Object> map);*/
    
    List<TEnergyInfo> getAmmeterPageInfo(Map<String, Object> map);

    TEnergyInfo validCode(Map<String, Object> map);

    void insertBatch(List<TEnergyInfo> tEnergyInfos);

    TEnergyInfo getTEnergyInfo(Map<String, Object> map);
}